XcmsCCCOfColormap(3X11)

NAME
XcmsCCCOfColormap, XcmsSetCCCOfColormap - query and modify CCC of a colormap

SYNTAX
XcmsCCC XcmsCCCOfColormap(display, colormap)
      Display *display;
      Colormap colormap;

XcmsCCC XcmsSetCCCOfColormap(display, colormap, ccc)
      Display *display;
      Colormap colormap;
      XcmsCCC ccc;

ARGUMENTS

display
    Specifies the connection to the X server.

ccc Specifies the CCC.

colormap
    Specifies the colormap.

DESCRIPTION
The function returns the CCC associated with the specified colormap. Once obtained, the CCC attributes can be queried or modified. Unless the CCC associated with the specified colormap is changed with this CCC is used when the specified colormap is used as an argument to color functions.

The function changes the CCC associated with the specified colormap. It returns the CCC previously associated with the colormap. If they are not used again in the application, CCCs should be freed by calling Several colormaps may share the same CCC without restriction; this includes the CCCs generated by Xlib with each colormap. Xlib, however, creates a new CCC with each new colormap.

SEE ALSO
DisplayOfCCC(3X11), XcmsConvertColors(3X11), XcmsCreateCCC(3X11), XcmsDefaultCCC(3X11), XcmsSetWhitePoint(3X11)
Xlib - C Language X Interface